version: '3'
services:
  postgres:
    image: postgres:latest
    container_name: tor_weather_db
    ports:
      - "5432:5432"
    environment:
      POSTGRES_USER: user@torproject.org
      POSTGRES_PASSWORD: password
      POSTGRES_DB: tor_weather
  celery-worker:
    build:
      context: ../../
      dockerfile: ./deployment/dev/Dockerfile
    container_name: tor_weather_celery_worker
    volumes:
      - "../../:/app"
    command: ["bash", "./deployment/dev/worker-startup.sh"]
    depends_on:
      - rabbitmq
  celery-beat:
    build:
      context: ../../
      dockerfile: ./deployment/dev/Dockerfile
    container_name: tor_weather_celery_beat
    volumes:
      - "../../:/app"
    command: ["bash", "./deployment/dev/beat-startup.sh"]
    depends_on:
      - rabbitmq
  rabbitmq:
    image: rabbitmq:4-management
    container_name: tor_weather_queue
    ports:
      - "5672:5672"
      - "15672:15672"
    environment:
      RABBITMQ_DEFAULT_USER: user@torproject.org
      RABBITMQ_DEFAULT_PASS: password
  app_server:
    build:
      context: ../../
      dockerfile: ./deployment/dev/Dockerfile
    container_name: tor_weather_app_server
    ports:
      - "3000:3000"
    volumes:
      - "../../:/app"
      - "~/.ssh:/root/.ssh"
      - "~/.gitconfig:/root/.gitconfig"
    depends_on:
      - postgres
      - seeder
      - rabbitmq
    command: ["bash", "./deployment/dev/startup-script.sh"]
    stdin_open: true
    tty: true
  mailcatcher:
    image: mailhog/mailhog:latest
    container_name: tor_weather_smtp
    ports:
      - "1025:1025"
      - "1080:8025"
    environment:
      SMTP_PORT: 1025
      SMTP_USERNAME: user@torproject.org
      SMTP_PASSWORD: password
  seeder:
    build:
      context: ../../
      dockerfile: ./deployment/dev/Dockerfile
    container_name: tor_weather_seeder
    volumes:
      - "../../:/app"
    depends_on:
      - postgres
    command: ["bash", "./deployment/dev/seed-data.sh"]
